Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1887842

Summary: Review Request: gitjacker - Leak git repositories from misconfigured websites
Product: [Fedora] Fedora Reporter: Fabian Affolter <mail>
Component: Package ReviewAssignee: Robert-André Mauchin 🐧 <zebob.m>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: rawhideCC: package-review, zebob.m
Target Milestone: ---Flags: zebob.m: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-11-28 02:10:16 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1882895    
Bug Blocks: 1269538    

Description Fabian Affolter 2020-10-13 12:49:59 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/gitjacker.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/gitjacker-0.0.2-1.fc33.src.rpm

Project URL: https://github.com/liamg/gitjacker

Description:
Leak git repositories from misconfigured websites.

Koji scratch build:
fails due to missing dependency

rpmlint output:
$ rpmlint gitjacker-0.0.2-1.fc33.src.rpm 
gitjacker.src: W: spelling-error Summary(en_US) misconfigured -> reconfigured, reconfigure
gitjacker.src: W: spelling-error %description -l en_US misconfigured -> reconfigured, reconfigure
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

$ rpmlint gitjacker*
gitjacker.x86_64: W: spelling-error Summary(en_US) misconfigured -> reconfigured, reconfigure
gitjacker.x86_64: W: spelling-error %description -l en_US misconfigured -> reconfigured, reconfigure
gitjacker.x86_64: W: no-manual-page-for-binary gitjacker
3 packages and 0 specfiles checked; 0 errors, 3 warnings.

Fedora Account System Username: fab

Comment 1 Robert-André Mauchin 🐧 2020-11-06 06:42:52 UTC
Test fails:

Testing    in: /builddir/build/BUILD/gitjacker-0.0.2/_build/src
         PATH: /builddir/build/BUILD/gitjacker-0.0.2/_build/bin:/usr/lib64/ccache:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/sbin
       GOPATH: /builddir/build/BUILD/gitjacker-0.0.2/_build:/usr/share/gocode
  GO111MODULE: off
      command: go test -buildmode pie -compiler gc -ldflags " -X github.com/liamg/gitjacker/version=0.0.2 -extldflags '-Wl,-z,relro -Wl,--as-needed  -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld  '"
      testing: github.com/liamg/gitjacker
github.com/liamg/gitjacker/internal/pkg/gitjacker
--- FAIL: TestRetrieval (0.00s)
    retriever_test.go:93: exec: "git": executable file not found in $PATH
FAIL
exit status 1
FAIL	github.com/liamg/gitjacker/internal/pkg/gitjacker	0.004s

 Add git-core to the BR:

%if %{with check}
# Tests
BuildRequires:  golang(github.com/magiconair/properties/assert)
BuildRequires:  git-core
%endif


 - License ok
 - Latest version packaged
 - Builds in mock
 - No rpmlint errors
 - Conforms to Packaging Guidelines

Package approved. Please fix the aforementioned issue before import.

Comment 2 Fabian Affolter 2020-11-09 07:25:36 UTC
(In reply to Robert-André Mauchin 🐧 from comment #1)
>  Add git-core to the BR:

I will add it. Thanks for the review.

Comment 3 Gwyn Ciesla 2020-11-09 15:50:07 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/gitjacker

Comment 4 Fedora Update System 2020-11-19 12:20:58 UTC
FEDORA-2020-1c6cb2d9bc has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-1c6cb2d9bc

Comment 5 Fedora Update System 2020-11-20 02:16:52 UTC
FEDORA-2020-1c6cb2d9bc has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-1c6cb2d9bc \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-1c6cb2d9bc

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-11-28 02:10:16 UTC
FEDORA-2020-1c6cb2d9bc has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2020-12-26 21:14:55 UTC
FEDORA-2020-38497c254f has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-38497c254f

Comment 8 Fedora Update System 2020-12-27 01:12:06 UTC
FEDORA-2020-dd863fcc61 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-dd863fcc61`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-dd863fcc61

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-01-04 01:07:23 UTC
FEDORA-2020-dd863fcc61 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.